<?php
/**
 * @package     Aikon Atypo
 *
 * @copyright   Copyright (C) 2014 Aikon CMS. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// Dependencies: Include helper
require_once dirname(__FILE__) . '/helper.php';

//get system info & other params we want
$app 		= JFactory::getApplication();
$doc	 	= JFactory::getDocument();
$assetsPath = 'modules/mod_atypo/assets/';




// move params to variables for clean template
$direction			=	$params->get('direction');
$animation			=	$params->get('animation');
$animationDelay		=	$params->get('animationDelay');
$showTitle			=	$params->get('showTitle');
$headingLevel		=	$params->get('headingLevel');
$titleColor			=	$params->get('titleColor');
$titleText			=	$params->get('titleText');
$contentColor		=	$params->get('contentColor');
$contentText		=	$params->get('contentText');


//make some more complex vars, for clean template
$heading	= '<' . $headingLevel . '>' . $titleText . '</' . $headingLevel . '>';
$modId		=	$module->id;
$uniqueId	=	'aikon_atypo_' . $modId;



// add leterer styles
$doc->addStylesheet($assetsPath . 'styles.css');

// add the leterer script
$doc->addScript($assetsPath .'letterer.js');

// display
require JModuleHelper::getLayoutPath('mod_atypo', $params->get('layout', 'default'));


